pdfbox-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Lehmkühler <andr...@lehmi.de>
Subject Re: How to configure Maven POM to include latest SNAPSHOT of PDFbox
Date Tue, 07 Jul 2015 13:28:35 GMT
Hi,


> Roberto Nibali <rnibali@gmail.com> hat am 7. Juli 2015 um 11:43 geschrieben:
> 
> 
> Hi
> 
> How do I properly set the dependencies in my Maven POM, so I can use the
> latest SNAPSHOT of pdfbox?
> 
> I tried the following (https://pdfbox.apache.org/2.0/getting-started.html),
> which does not work at all:
> 
> To use the latest 2.0 snapshot release from the SVN trunk, you'll need to
> add the following dependency:
> 
> <dependency>
>   <groupId>org.apache.pdfbox</groupId>
>   <artifactId>pdfbox-app</artifactId>
>   <version>2.0.0-SNAPSHOT</version></dependency>
> 
> You'll also need to add the following repository:
> 
> <repository>
>   <id>ApacheSnapshot</id>
>   <name>Apache Repository</name>
>   <url>https://repository.apache.org/content/groups/snapshots/</url>
>   <snapshots>
>     <enabled>true</enabled>
>   </snapshots></repository>
> 
> And why did the project change its name from pdfbox to pdfbox-app?
That was wrong. It has to be "pdfbox". I've already fixed that.

> Then I tried to download all the 2.0.0-SNAPSHOT JARS I could find at:
> 
> https://repository.apache.org/content/groups/snapshots/org/apache/pdfbox/
> 
> Adding them manually to the POM didn't work:
> 
> <dependency>
>     <groupId>org.apache.pdfbox</groupId>
>     <artifactId>pdfbox</artifactId>
>     <version>2.0.0-SNAPSHOT</version>
>     <scope>system</scope>
> 
>    <systemPath>${project.basedir}/extLib/pdfbox-2.0.0-20150707.080520-1509.jar</systemPath>
> </dependency>
> 
> Any ideas? Do I need the pdfbox or pdfbox-app artifact? How do I add
> potential dependencies like fontbox or jempbox (which hasn't been updated
> since 2014)?
The pdfbox-dependency should be sufficient.

> Also, it seems that the following packages do not form part of pdfbox
> anymore:
> 
> import org.apache.pdfbox.exceptions.CryptographyException;
> import org.apache.pdfbox.pdmodel.encryption.BadSecurityHandlerException;
> import org.apache.pdfbox.util.PDFOperator;
2.0.0 contains improvements, fixes and refactorings which leads to change sin
the api. The new version isn't binary compatible to 1.8.x 

> Or this could be the result of my inability to properly set the POM
> dependencies.
> 
> Best regards
> Roberto

BR
Andreas

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@pdfbox.apache.org
For additional commands, e-mail: users-help@pdfbox.apache.org


Mime
View raw message